package com.prolog.rdc.tms.service.print;

import java.util.List;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.print.PrinterRouteDTO;
import com.prolog.rdc.tms.model.entity.line.PrinterRoute;
import com.prolog.rdc.tms.model.vo.print.DeleteSysPrinterVO;
import com.prolog.rdc.tms.model.vo.print.PrinterRouteVO;
import com.prolog.rdc.tms.model.vo.print.QuerySysPrinterRouteVO;

/**
 * 
 *
 * 打印路由服务层
 *
 * @className :PrinterRouteService
 * @author :fanzw
 * @creationTime :2022/11/21
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface PrinterRouteService {

	// 新增打印机
	Long save(PrinterRouteVO vo);

	// 修改打印机
	void update(PrinterRouteVO vo);

	// 打印机列表查询
	Page<PrinterRouteDTO> findList(QuerySysPrinterRouteVO vo) throws Exception;

	// 删除
	void delete(DeleteSysPrinterVO vo);

	// 详情
	PrinterRouteDTO detail(Long id) throws Exception;

	List<PrinterRoute> findByEmployeeId(String employeeId, Long warehouses);
}
